## org.w3c.www.http
Class MimeParserRequestFactory

    java.lang.Object
      |
      +--org.w3c.www.http.MimeParserRequestFactory

public class MimeParserRequestFactory
extends java.lang.Object
implements MimeParserFactory

The MIME parser factory for HTTP requests.

Constructor Summary
`MimeParserRequestFactory()`

Method Summary
`MimeHeaderHolder` | `createHeaderHolder(MimeParser parser)` Create a new HTTP request to hold the parser's result.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MimeParserRequestFactory

    public MimeParserRequestFactory()

Method Detail

### createHeaderHolder

    public MimeHeaderHolder createHeaderHolder(MimeParser parser)

  Create a new HTTP request to hold the parser's result.
  Specified by:
    createHeaderHolder in interface MimeParserFactory
  Parameters:
    `parser` - The parser that has something to parse.
  Returns:
    A MimeParserHandler compliant object.